<?php
	if (function_exists('register_sidebar')) {
		register_sidebar(array(
			'before_widget' => '<ul id="%1$s" class="widget %2$s">',
			'after_widget' => '</ul>',
			'before_title' => '<h3><span>',
			'after_title' => '</span></h3>',
		));
		register_sidebar(
			array(
				'name' => 'تبلیغات سمت چپ',
				'id' => 'left-ads',
				'before_widget' => ' ',
				'after_widget' => ' ',
				'before_title' => '  ',
				'after_title' => ' '
		));
		register_sidebar(
			array(
				'name' => 'تبلیغات راست',
				'id' => 'right-ads',
				'before_widget' => ' ',
				'after_widget' => ' ',
				'before_title' => '  ',
				'after_title' => ' '
		));
		register_sidebar(
			array(
				'name' => 'تبلیغات ویژه هدر',
				'id' => 'header-sp-ads',
				'before_widget' => ' ',
				'after_widget' => ' ',
				'before_title' => '  ',
				'after_title' => ' '
		));
		register_sidebar(
			array(
				'name' => 'پست ثابت',
				'id' => 'etc',
				'before_widget' => ' ',
				'after_widget' => ' ',
				'before_title' => '  ',
				'after_title' => ' '
		));
		register_sidebar(
			array(
				'name' => 'اسکریپت ها - تبلیغات بالا',
				'id' => 'top-ads',
				'before_widget' => ' ',
				'after_widget' => ' ',
				'before_title' => '  ',
				'after_title' => ' '
		));
	}

	add_theme_support( 'post-thumbnails' ); 

	function getPostViews($postID){
		$count_key = 'post_views_count';
		$count = get_post_meta($postID, $count_key, true);
		if($count==''){
			delete_post_meta($postID, $count_key);
			add_post_meta($postID, $count_key, '0');
			return "بدون بازدید";
		}
		return $count.' بازدید';
	}

	// function to count views.
	function setPostViews($postID) {
		$count_key = 'post_views_count';
		$count = get_post_meta($postID, $count_key, true);
		if($count==''){
			$count = 0;
			delete_post_meta($postID, $count_key);
			add_post_meta($postID, $count_key, '0');
		}else{
			$count++;
			update_post_meta($postID, $count_key, $count);
		}
	}

	// Meta box
	function pmwp_meta_box() {
		add_meta_box('as-meta-box', 'اسکریپت ها - اطلاعات پست', 'pmwp_post', 'post', 'normal', 'high');
	}
	add_action('add_meta_boxes', 'pmwp_meta_box');

	function pmwp_post($post) {
		$values = get_post_custom($post->ID);
		wp_nonce_field('pmwp_box_nonce', 'meta_box_nonce');

		include_once('inc/meta-box.php');
	}

	function pmwp_post_save($post_ID) {
		if( isset( $_POST['pm_movie_play_file'] ) )
		update_post_meta($post_ID, 'pm_movie_play_file', $_POST['pm_movie_play_file']);
		
		if( isset( $_POST['pm_movie_play_flv_file'] ) )
		update_post_meta($post_ID, 'pm_movie_play_flv_file', $_POST['pm_movie_play_flv_file']);
		
		if( isset( $_POST['pm_movie_low_quality'] ) )
		update_post_meta($post_ID, 'pm_movie_low_quality', $_POST['pm_movie_low_quality']);
		
		if( isset( $_POST['pm_movie_low_quality_2'] ) )
		update_post_meta($post_ID, 'pm_movie_low_quality_2', $_POST['pm_movie_low_quality_2']);
		
		if( isset( $_POST['pm_movie_low_quality_size'] ) )
		update_post_meta($post_ID, 'pm_movie_low_quality_size', $_POST['pm_movie_low_quality_size']);
		
		if( isset( $_POST['pm_movie_hight_quality'] ) )
		update_post_meta($post_ID, 'pm_movie_hight_quality', $_POST['pm_movie_hight_quality']);
		
		if( isset( $_POST['pm_movie_hight_quality_2'] ) )
		update_post_meta($post_ID, 'pm_movie_hight_quality_2', $_POST['pm_movie_hight_quality_2']);
		
		if( isset( $_POST['pm_movie_hight_quality_size'] ) )
		update_post_meta($post_ID, 'pm_movie_hight_quality_size', $_POST['pm_movie_hight_quality_size']);
		
		if( isset( $_POST['pm_movie_subtitle'] ) )
		update_post_meta($post_ID, 'pm_movie_subtitle', $_POST['pm_movie_subtitle']);
		
		if( isset( $_POST['pm_movie_dubbing'] ) )
		update_post_meta($post_ID, 'pm_movie_dubbing', $_POST['pm_movie_dubbing']);
		
		if( isset( $_POST['pm_movie_dls'] ) )
		update_post_meta($post_ID, 'pm_movie_dls', $_POST['pm_movie_dls']);
	}
	add_action('save_post', 'pmwp_post_save');
?>
