﻿<?php /* Template Name: MP3 Player */ ?>
<?php get_header(); ?>
<?php get_sidebar(); ?>
<div class="maincontent">
	<div class="row hidden-xs">
		<div class="col-md-6">
			<div class="newsletter">
				<div class="content">
					<h3>عضویت </h3>
					<p>با عضویت در خبرنامه آخرین آهنگ ها را در ایمیل تان تحویل بگیرید</p>
					<p> لطفا ایمیل تان را بدون www. وارد کنید.</p>
					<form action="http://feedburner.google.com/fb/a/mailverify" method="post" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=pop-music/ayJH', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true" target="popupwindow">
						<input type="text" name="email" class="mail" />
						<input type="hidden" name="uri" value="pop-music/ayJH" /><input type="hidden" name="loc" value="en_US" /><input type="submit" value="عضوم کن" class="submit"/>
					</form>
				</div>
			</div>
		</div>
		
		<div class="col-md-6">
			<div class="notifications">
				<div class="content">
					<h3>اطلاعیه ها</h3>
					<p>سایت در حال به روز رسانی است. لطفاً شکیبا باشید.</p>
				</div>
			</div>
		</div>
	</div>

<div class="clear"></div>
	<div class="postbox">
		<?php get_template_part('inc/last-rss'); ?>
		<div class="clear"></div>
		
<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

<article class="post">
	<div class="rightc">
		<figure class="videoico"></figure>
		<span class="view"><?php if(function_exists('the_views')) { the_views(); } ?> بازدید</span>
	</div>
	
	<div class="leftc">
		<header>
			<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
			<span class="date">تاریخ : <?php the_time('jS F, Y') ?> </span>
		</header>
		
		<?php if(function_exists('add_link_attr')) { add_link_attr('the_content'); } else { the_content(); } ?>
		
		<div id="mp3player_generator">
			<form action="" method="post">
				<table>
					<tr>
						<td width="">آدرس آهنگ:</td>
						<td width=""><input dir="ltr" type="text" name="mp3player_file_url" value="<?php echo $_POST['mp3player_file_url']; ?>" placeholder="http://site.com/filename.mp3" class="input-text"/></td>
					</tr>
					
					<tr>
						<td>طول (پیکسل)</td>
						<td><input type="text" dir="ltr" name="mp3player_width" value="<?php echo $_POST['mp3player_width']; ?>" class="input-text" placeholder="200"/></td>
					</tr>
					
					<tr>
						<td>عرض (پیکسل)</td>
						<td><input type="text" dir="ltr" name="mp3player_height" value="<?php echo $_POST['mp3player_height']; ?>" class="input-text" placeholder="20"/></td>
					</tr>
					
					<tr>
						<td>پخش خودکار</td>
						<td>
							<label>
								<input type="checkbox" name="mp3player_auto_play" value="1"/> بله
							</label>
						</td>
					</tr>
					
					<tr>
						<td>رنگ پس زمینه</td>
						<td>
							<input type="text" dir="ltr" name="mp3player_bg_color" value="<?php echo $_POST['mp3player_bg_color']; ?>" class="input-text picker"/>
						</td>
					</tr>
					
					<tr>
						<td>رنگ بارگزاری</td>
						<td><input type="text" dir="ltr" name="mp3player_bg_loading" value="<?php echo $_POST['mp3player_bg_loading']; ?>" class="input-text picker"/></td>
					</tr>
					
					<tr>
						<td>رنگ دکمه‌ها</td>
						<td><input type="text" dir="ltr" name="mp3player_bg_button" value="<?php echo $_POST['mp3player_bg_button']; ?>" class="input-text picker"/></td>
					</tr>
					
					<tr>
						<td>رنگ نوار پیمایش</td>
						<td><input type="text" dir="ltr" name="mp3player_bg_slider" value="<?php echo $_POST['mp3player_bg_slider']; ?>" class="input-text picker"/></td>
					</tr>
					
					<tr>
						<td colspan="2"><input type="submit" name="mp3player_generate" value="ساخت کد" class="input-submit"/></td>
					</tr>
				</table>
			</form>
		</div>
		
		<?php
			
			if(isset($_POST['mp3player_generate'])) {
				
				if($_POST['mp3player_file_url']) {
					
					$t_url = get_bloginfo('template_url');
					
					if($_POST['mp3player_width'])
						$width = $_POST['mp3player_width'];
					else
						$width = "200";
						
					if($_POST['mp3player_height'])
						$height = $_POST['mp3player_height'];
					else
						$height = "20";
						
					if($_POST['mp3player_auto_play'])
						$auto_play = $_POST['mp3player_auto_play'];
					else
						$auto_play = "0";
						
					if($_POST['mp3player_bg_color'])
						$bg_color = $_POST['mp3player_bg_color'];
					else
						$bg_color = "F3F3F3";
						
					if($_POST['mp3player_bg_loading'])
						$bg_loading = $_POST['mp3player_bg_loading'];
					else
						$bg_loading = "FF9900";
						
					if($_POST['mp3player_bg_button'])
						$bg_button = $_POST['mp3player_bg_button'];
					else
						$bg_button = "FF9900";
						
					if($_POST['mp3player_bg_slider'])
						$bg_slider = $_POST['mp3player_bg_slider'];
					else
						$bg_slider = "FF9900";
					
					echo "<p class='success'>پلیر شما با موفقیت ساخته شد.</p>";
					
					echo "
					<div id='mp3player'><h3>پیش نمایش</h3><object type='application/x-shockwave-flash' data='{$t_url}/inc/player_mp3_maxi.swf' width='{$width}' height='{$height}'><param name='movie' value='{$t_url}/inc/player_mp3_maxi.swf'/><param name='bgcolor' value='#{$bg_color}'/><param name='FlashVars' value='mp3={$_POST['mp3player_file_url']}&amp;autoplay={$auto_play}&amp;showvolume=1&amp;showstop=1&amp;showloading=always&amp;loadingcolor={$bg_color}&amp;bgcolor1={$bg_color}&amp;bgcolor2={$bg_color}&amp;slidercolor1={$bg_slider}&amp;slidercolor2={$bg_slider}&amp;sliderovercolor={$bg_slider}&amp;buttonovercolor={$bg_slider}&amp;buttoncolor={$bg_slider}'/></object></div>";
					
					echo "<div id='mp3player'><h3>دریافت کد</h3><textarea><div style='text-align: center;'><object type='application/x-shockwave-flash' data='{$t_url}/inc/player_mp3_maxi.swf' width='{$width}' height='{$height}'><param name='movie' value='{$t_url}/inc/player_mp3_maxi.swf'/><param name='bgcolor' value='#{$bg_color}'/><param name='FlashVars' value='mp3={$_POST['mp3player_file_url']}&amp;autoplay={$auto_play}&amp;showvolume=1&amp;showstop=1&amp;showloading=always&amp;loadingcolor={$bg_color}&amp;bgcolor1={$bg_color}&amp;bgcolor2={$bg_color}&amp;slidercolor1={$bg_slider}&amp;slidercolor2={$bg_slider}&amp;sliderovercolor={$bg_slider}&amp;buttonovercolor={$bg_slider}&amp;buttoncolor={$bg_slider}'/></object><p style='padding: 0px; font-family: tahoma; font-size: 9px; margin: 6px 0px 0px;'><a target='_blank' href='http://pop-music.ir/' style='text-decoration: none; color: rgb(140, 140, 140);'>دانلود آهنگ جدید</a></p></div></textarea></div>";
					
				} else {
					echo "<p class='error'>خطا! لطفاً آدرس فایل را وارد کنید.</p>";
				}
			}
		?>
	</div>
	
	<div class="clear"></div>
</article>

<?php
        $postcnt++;
        if ($postcnt == 1){
            include(TEMPLATEPATH."/ads/ads1.php");
		}
		elseif ($postcnt == 2){
            include(TEMPLATEPATH."/ads/ads2.php");
		}
		elseif ($postcnt == 3){
            include(TEMPLATEPATH."/ads/ads3.php");
		}	
		elseif ($postcnt == 4){
            include(TEMPLATEPATH."/ads/ads4.php");
		}
		elseif ($postcnt == 5){
            include(TEMPLATEPATH."/ads/ads5.php");
		}
		elseif ($postcnt == 6){
            include(TEMPLATEPATH."/ads/ads6.php");
		}
		elseif ($postcnt == 7){
            include(TEMPLATEPATH."/ads/ads7.php");
		}	
		elseif ($postcnt == 8){
           include(TEMPLATEPATH."/ads/ads8.php");
		};
?>
<?php endwhile; ?>

<?php else : ?>

	<article id="error">
	<h3>صفحه مورد نظر موجود نيست</h3>
	<p>اين صفحه يا قبلا" پاك شده يا اصلا" ساخته نشده . دوباره تلاش كنيد</p>
	</article>

<?php endif; ?>


</div>

<?php include (TEMPLATEPATH . "/leftside.php"); ?>


</div>

<div class="clear"></div>
<?php get_footer(); ?>
